Subject: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 28 Feb 2015 15:14:48 -0500

On 2/28/2015 2:14 PM, Eli Zaretskii wrote:
>> Date: Sat, 28 Feb 2015 13:44:38 -0500
>> From: Ken Brown <[email-masked]>
>> CC: [email-masked]
>>
>>> No, I meant your reasons for specifying --with-file-notification=w32.
>>> You could only bump into this issue if you specified it, AFAIU.
>>
>> Based on http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19909#36, I think
>> he specified --with-file-notification=w32 because he wanted file
>> notification and didn't know he could use gfile.
>
> Isn't gfile the default for Cygwin?

Yes.  (Of course, the builder has to have the appropriate glib 
development package installed, or else file notification won't actually 
be used.)

>> I'm inclined to go ahead with the revised patch he submitted in the
>> above URL.  I'll commit it (with Robert as author and with the change
>> marked as a "tiny change") if that's OK with you, Eli.
>
> If that's what Cygwin users want, fine with me.

I personally don't care, but Robert requested it, and I don't see any 
harm in it.  So I'll go ahead as soon as I hear back from him as to how 
he wants his name shown.

>> 1. Shouldn't the name in the ChangeLog be "Robert Pluim" instead of
>> "rpluim" to match all the other entries?
>
> I don't think it matters when there's no assignment on file.
>
>> 2. I tested making a git commit with
>>
>>     --author="Robert Pluim <[email-masked]>  (tiny change)"
>>
>> but git stripped away the "(tiny change)" part.  What should I do to get
>> "tiny change" into the git history?  Maybe it's not so important now,
>> because I can put it into the ChangeLog, but I'm thinking about the
>> future, when ChangeLogs are automatically generated.
>
> The projects I know of use
>
>    Copyright-paperwork-exempt: yes
>
> on a separate line in the log message.  You will see that I already
> used that in Emacs, at least once.

Thanks.

Ken